> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get KYC Status

> Check the KYC verification status for the card program

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_ACCESS_TOKEN`
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X GET 'https://crypto-api.yativo.com/api/v1/yativo-card/yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068/kyc-status' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 Approved theme={null}
  {
    "success": true,
    "message": "KYC status retrieved",
    "data": {
      "yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
      "kyc_status": "approved",
      "terms_accepted": true,
      "next_step": "create_card"
    }
  }
  ```

  ```json 200 In Progress theme={null}
  {
    "success": true,
    "message": "KYC status retrieved",
    "data": {
      "yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
      "kyc_status": "in_progress",
      "terms_accepted": false,
      "next_step": null
    }
  }
  ```

  ```json 200 Pending Review theme={null}
  {
    "success": true,
    "message": "KYC status retrieved",
    "data": {
      "yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
      "kyc_status": "pending_review",
      "terms_accepted": false,
      "next_step": null
    }
  }
  ```

  ```json 200 Rejected theme={null}
  {
    "success": true,
    "message": "KYC status retrieved",
    "data": {
      "yativo_card_id": "yativo_card_0xAbCd1234EfGh5678IjKl9012_1769031332068",
      "kyc_status": "rejected",
      "rejection_reason": "Document not accepted",
      "terms_accepted": false,
      "next_step": "retry_kyc"
    }
  }
  ```
</ResponseExample>

### KYC Status Values

| Status           | Meaning                                           |
| ---------------- | ------------------------------------------------- |
| `pending`        | Not yet started, or documents have been requested |
| `in_progress`    | Documents submitted — processing under review     |
| `pending_review` | Resubmission requested — additional info needed   |
| `approved`       | Identity verified — proceed to accept terms       |
| `rejected`       | Verification failed — retry KYC                   |
| `expired`        | KYC session expired — re-initiate the KYC link    |
